The Backblaze Downloader Crashes On OS X 10.5

The current version of the Backblaze Downloader will only work on Mac OS X 10.6 and newer. If you are running Mac OS X 10.5 and need to use the Backblaze Downloader, the version available here will work: http://files.backblaze.com/bzdownloader-mac-3.0.1.826.zip

Have more questions? Submit a request

0 Comments

Article is closed for comments.
Powered by Zendesk